<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.ConfigurationsTypes']}</h1>
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <gri:panel id="configurationsPanel">
                    <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ConfigurationsTypes']}</f:facet>
                    <a4j:commandButton styleClass="gzl-btn-green"
                                       value="#{messages['net.ihe.gazelle.xdstar.AddNewConfigurationType']}"
                                       actionListener="#{configurationTypeManager.initConfigurationType()}"
                                       oncomplete="jq162('#addConfType').modal('show');"
                                       execute="@this" render="addConfType,addConfTypeForm"/>
                    <br/>
                    <br/>
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ListConfigurationType']} "/>
                    <rich:dataTable id="configTable" value="#{configurationTypeManager.getListConfigurationTypes()}" var="currentConfig"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                    render="ds">
                        <g:column id="nameColumn">
                            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Type']}</ui:define>
                            <h:outputText value="#{currentConfig.confTypeType.value}"/>
                        </g:column>
                        <g:column id="urlColumn">
                            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Usages']}</ui:define>
                            <a4j:repeat value="#{currentConfig.listUsages}" var="usage">
                                <h:outputText value="#{usage.affinity.keyword}"/>
                                <h:outputText value=" / "/>
                                <h:outputText value="#{usage.transaction.keyword}"/>
                                <br/>
                            </a4j:repeat>
                        </g:column>
                        <g:column id="actionColumn">
                            <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Action']}</ui:define>
                            <a4j:commandLink
                                    actionListener="#{configurationTypeManager.setSelectedConfigurationType(currentConfig)}"
                                    oncomplete="jq162('#addConfType').modal('show');"
                                    execute="@this"
                                    render="globalDiv,addConfType,addConfTypeForm">
                                <span class="gzl-icon-pencil"/>
                            </a4j:commandLink>
                            <gdk:spacer width="5"/>
                            <a4j:commandLink actionListener="#{configurationTypeManager.setSelectedConfigurationType(currentConfig)}"
                                             execute="@this" render="globalDiv,deleteConfTypeForm,deleteConfType"
                                             oncomplete="jq162('#deleteConfType').modal('show');">
                                <span class="gzl-icon-trash-o"/>
                            </a4j:commandLink>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="ds"/>
                                <ui:param name="dataTableId" value="configTable"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                </gri:panel>
                <br/>
            </s:div>
        </h:form>
        <h:form id="addConfTypeForm">
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="addConfType"/>
                <ui:param name="bodyStyleClass" value="gzl-select-modal-overflow-visible"/>
                <ui:param name="styleClass" value="modal-lg"/>
                <ui:define name="popup_title">#{messages['net.ihe.gazelle.xdstar.ADDConfigurationType']}</ui:define>
                <s:div rendered="#{configurationTypeManager.selectedConfigurationType != null}">
                    <div class="form-horizontal">
                        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Type']}</ui:define>
                            <ui:param name="id" value="selectCar"/>
                            <h:selectOneMenu id="selectCar" value="#{configurationTypeManager.selectedConfigurationType.confTypeType}"
                                             styleClass="form-control gzl-form-control gzl-select-text">
                                <s:selectItems value="#{configurationTypeManager.getListConfigurationTypeTypes()}" var="typ"
                                               noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}" label="#{typ.value}"/>
                            </h:selectOneMenu>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.AffinityDomain_2']}</ui:define>
                            <ui:param name="id" value="selectCar"/>
                            <h:selectOneMenu id="selectCar" value="#{configurationTypeManager.selectedAffinityDomain}"
                                             styleClass="form-control gzl-form-control gzl-select-text">
                                <s:selectItems value="#{affinityDomain.listAllAffinityDomains()}" var="typ"
                                               noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}" label="#{typ.keyword}"/>
                                <a4j:ajax event="change" render="usages" execute="@this"/>
                            </h:selectOneMenu>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Transaction_2']}</ui:define>
                            <ui:param name="id" value="selectCar"/>
                            <h:selectOneMenu id="selectCar" value="#{configurationTypeManager.selectedTransaction}"
                                             styleClass="form-control gzl-form-control gzl-select-text">
                                <s:selectItems value="#{transaction.ListAllTransactions()}" var="typ"
                                               noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}" label="#{typ.keyword}"/>
                                <a4j:ajax event="change" render="usages" execute="@this"/>
                            </h:selectOneMenu>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml" id="usages">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Usages']}</ui:define>
                            <ui:param name="id" value="UsagesInput"/>
                            <rich:pickList id="UsagesInput" value="#{configurationTypeManager.selectedConfigurationType.listUsages}" listWidth="250px"
                                           listHeight="100px" required="true">
                                <s:selectItems value="#{configurationTypeManager.getListUsage()}" var="currentu"
                                               label="#{currentu.affinity.keyword} =&gt; #{currentu.transaction.keyword}"/>
                            </rich:pickList>
                        </s:decorate>

                    </div>
                </s:div>
                <ui:define name="popup_footer">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                       onclick="jq162('#addConfType').modal('hide');" execute="@this"/>
                    <a4j:commandButton styleClass="gzl-btn-green"
                                       value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                       actionListener="#{configurationTypeManager.mergeConfigurationType()}"
                                       onclick="jq162('#addConfType').modal('hide');"
                                       render="globalForm"/>
                </ui:define>
            </ui:decorate>
        </h:form>
        <h:form id="deleteConfTypeForm">
            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="deleteConfType"/>
                <ui:param name="bodyStyleClass" value="gzl-select-modal-overflow-visible"/>
                <ui:define name="popup_title">#{messages['net.ihe.gazelle.xdstar.DeleteConfigurationType']}</ui:define>
                <s:decorate template="/layout/form/_edit.xhtml">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.DoYouReallyWantToDeleteThisConfigurationType']}"/>
                </s:decorate>
                <ui:define name="popup_footer">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                       onclick="jq162('#deleteConfType').modal('hide');" execute="@this"/>
                    <a4j:commandButton styleClass="gzl-btn-red"
                                       value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                       actionListener="#{configurationTypeManager.deleteSelectedConfigurationType()}"
                                       onclick="jq162('#deleteConfType').modal('hide');"
                                       render="globalDiv"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
